Imports Microsoft.Win32
Public Class Reg
    Public Shared Function Read(ByVal Path As String, Optional ByVal Key As String = "", Optional ByVal SubTree As String = "HKEY_LOCAL_MACHINE") As String
        Dim out As String = String.Empty
        Dim regkey As RegistryKey
        Try
            Select Case SubTree
                Case "HKEY_LOCAL_MACHINE"
                    regkey = Registry.LocalMachine.OpenSubKey(Path, False)
                Case "HKEY_CURRENT_USER"
                    regkey = Registry.CurrentUser.OpenSubKey(Path, False)
                Case Else
                    regkey = Registry.LocalMachine.OpenSubKey(Path, False)
            End Select
            regkey = Registry.LocalMachine.OpenSubKey(Path, False)
            out = regkey.GetValue(Key)
            Return out
        Catch ex As Exception
            Return ""
        End Try
    End Function
End Class
